-- ========================================================================
-- [sqls/update/sqlite.sql]
-- 		SQLitepe[uXV`
--      Copyright (c) 2006 Yujiro Takahashi
-- CZX:
--      This program is free software; you can redistribute it and/or
--      modify it under the terms of the GNU General Public License
--      as published by the Free Software Foundation; either version 2
--      of the License, or (at your option) any later version.
--
--      This program is distributed in the hope that it will be useful,
--      but WITHOUT ANY WARRANTY; without even the implied warranty of
--      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--      GNU General Public License for more details.
--
--      You should have received a copy of the GNU General Public License
--      along with this program; if not, write to the Free Software
--      Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
-- ₢킹F
--      yujiro@rakuto.net
--      http://rakuto.net/rktSNS/
-- XVF
--      [2007/08/05] r[̑Ώۏi̕K{ڂɘa
-- ========================================================================

BEGIN TRANSACTION;

CREATE TABLE 'tmp_rev_item' (
  'id' integer NOT NULL,
  'modify' timestamp NOT NULL,
  'ref_category' integer NOT NULL,
  'total' float,
  'post' integer default '0',
  'url' varchar(255) NOT NULL,
  'asin' varchar(128) NOT NULL,
  'name' text,
  'creator' text,
  'release' varchar(32),
  'manufacturer' varchar(255),
  'imagesmall' varchar(255),
  'imagemedium' varchar(255),
  'imagelarge' varchar(255),
  'listprice' varchar(64),
  'ourprice' varchar(64),
  PRIMARY KEY  ('id'),
  UNIQUE ('asin')
);
INSERT INTO tmp_rev_item SELECT * FROM sns_rev_item;

DROP TABLE 'sns_rev_item';
CREATE TABLE 'sns_rev_item' (
  'id' integer NOT NULL,
  'modify' timestamp NOT NULL,
  'ref_category' integer NOT NULL,
  'total' float,
  'post' integer default '0',
  'url' varchar(255) NOT NULL,
  'asin' varchar(128) NOT NULL,
  'name' text,
  'creator' text,
  'release' varchar(32),
  'manufacturer' varchar(255),
  'imagesmall' varchar(255),
  'imagemedium' varchar(255),
  'imagelarge' varchar(255),
  'listprice' varchar(64),
  'ourprice' varchar(64),
  PRIMARY KEY  ('id'),
  UNIQUE ('asin')
);
INSERT INTO sns_rev_item SELECT * FROM tmp_rev_item;


CREATE INDEX sns_rev_item_total ON sns_rev_item (total);
CREATE INDEX sns_rev_item_post ON sns_rev_item (post);
CREATE INDEX sns_rev_item_modify ON sns_rev_item (modify);

COMMIT;